# $Revision: 1.7 $, $Date: 2005/06/06 21:11:27 $
%define		theme	ubermon

Summary:	superkaramba - Ubermon theme
Summary(pl):	superkaramba - motyw Ubermon
Name:		superkaramba-theme-%{theme}
Version:	1.0
Release:	3
License:	GPL
Group:		Themes
Source0:	http://kde-look.org/content/files/13166-ubermon%{version}.tar
Patch0:		ubermon.theme.patch
# Source0-md5:	f34d707f6493762ddbc24ee6c9136673
URL:		http://www.kde-look.org/content/show.php?content=13166
Requires:	superkaramba
Requires:	coreutils
Requires:	procps
Requires:	net-tools
BuildRequires:  sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ubermon theme for superkaramba. Features:
- User@hostname Output
- Kernel Version Output
- KDE Version Output
- CPU Usage Stats
- CPU Model / Clockspeed / Cache Detection
- RAM / Swapfile Usage
- Hard Disk Drive Monitor (default 4 partitions)
- Network Traffic Monitor
- IP Address Output
- Uptime / Time / Date Output
- XMMS - Currently Playing and Time of Track Information
- XMMS Controls - Skip back, Play, Stop, Pause and Skip Forward

%description -l pl
Motyw ubermon do superkaramby. Wywietlane informacje:
- Uytkownik@host
- Wersja jdra
- Wersja KDE
- Statystyki wykorzystania procesora
- Model procesora / Prdko zegara / Pami cache
- Wykorzystanie pamici RAM / pliku wymiany SWAP
- Monitor dysku twardego (domylnie 4 partycje)
- Monitor ruchu sieciowego
- Adres IP
- Uptime / Godzina / Czas
- XMMS - Informacja o utworze i czasie otwarzania
- Przyciski XMMS - Poprzedni, Odtwarzaj, Stop, Pauza i Nastpny

%prep
%setup -q -c
%patch0 -p1

# theme modified to white/black font
cd ubermon%{version}
cp ubermon.theme ubermon-white.theme
mv ubermon.theme ubermon-black.theme

%{__sed} -i 's/0,0,0/255,255,255/' ubermon-white.theme
%{__sed} -i 's/1,1,1/254,254,254/' ubermon-white.theme

%install
rm -rf $RPM_BUILD_ROOT

# symbolic link to backward compability
cd ubermon%{version}/
ln -sf ubermon-black.theme ubermon.theme
cd -

install -d $RPM_BUILD_ROOT%{_datadir}/themes/superkaramba/ubermon
install -d $RPM_BUILD_ROOT%{_datadir}/themes/superkaramba/ubermon/icons
install ubermon%{version}/icons/*.png $RPM_BUILD_ROOT%{_datadir}/themes/superkaramba/ubermon/icons
install ubermon%{version}/*.pl $RPM_BUILD_ROOT%{_datadir}/themes/superkaramba/ubermon
install ubermon%{version}/*.theme $RPM_BUILD_ROOT%{_datadir}/themes/superkaramba/ubermon

#cd $RPM_BUILD_ROOT%{_datadir}/themes/superkaramba/ubermon/
#ln -s ubermon-black.theme ubermon.theme

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%dir %{_datadir}/themes/superkaramba/ubermon
%{_datadir}/themes/superkaramba/ubermon/
%attr(755,root,root) %{_datadir}/themes/superkaramba/ubermon/ipadd.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: superkaramba-theme-ubermon.spec,v $
Revision 1.7  2005/06/06 21:11:27  blekot
- white/black font choice enabled
- rel 3 (STBR)

Revision 1.6  2005/03/06 18:59:03  blekot
- +x to ipadd.pl
- rel 2

Revision 1.5  2005/03/01 17:02:45  blekot
- added Requires to full usability

Revision 1.4  2005/02/07 21:15:45  blekot
- simplified
- rel 1

Revision 1.3  2004/12/26 22:58:00  adamg
- apply forgotten patch from Lukasz Glebicki (lukaszgl (at) post.pl)

Revision 1.2  2004/12/21 20:32:40  adamg
- cosmetics in pl/en description

Revision 1.1  2004/12/21 20:22:24  adamg
- new from Lukasz Glebicki (lukaszgl@post.pl)
